Description

Not sure if the templates will be updated automatically with further release candidates, but for now the provisioning template

"Kickstart RHEL Default" is missing the switch for Puppet 5.

In the community template: 

https://github.com/theforeman/community-templates/blob/develop/provisioning_templates/provision/kickstart_default.erb#L179

In the release candidate: 

https://github.com/theforeman/foreman/blob/1.16-stable/app/views/unattended/provisioning_templates/provision/kickstart_rhel_defaul

t.erb#L158

So activating the Puppet 5 repository via snippet will only happen when two parameters are set. Snippet already contains the

parameter "enable-puppetlabs-puppet5-repo":  

https://github.com/theforeman/foreman/blob/1.16-stable/app/views/unattended/provisioning_templates/snippet/_puppetlabs_repo.erb

#L37

History

#1 - 10/06/2017 08:12 AM - Dirk Götz

Recognized the same problem for "Preseed default finish" and properly all other mentioned in 

https://github.com/theforeman/community-templates/commit/ccaef7c230b71846a3674fe15a3c472fc23e79fe.

#2 - 10/06/2017 08:53 AM - Anonymous

Could you please sync the 1.16-stable branch from the community-templates repo into your instance and report back if it's good then? 1.16 RC2 will

update the templates in core before releasing.

#3 - 10/09/2017 02:55 AM - Dirk Götz

Testing (CentOS 7 and Debian stretch) did not complete on friday, but now I can say it will work fine when templates are updated.

#4 - 11/04/2017 05:37 PM - Anonymous

- Status changed from New to Resolved

- Assignee set to Anonymous
